﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.Mvc;

namespace AgileCompass.Controllers
{
    public class BaseController : Controller
    {
        protected override void ExecuteCore()
        {
            if (Session["Idioma"] == null)
            {
                var idiomaPadrao = new Models.Idioma().Where(x => x.Padrao && x.Status).FirstOrDefault();
                idiomaPadrao = idiomaPadrao ?? new Models.Idioma().Where(x => x.Status).FirstOrDefault();

                Session["Idioma"] = (idiomaPadrao == null) ? "pt-br" : idiomaPadrao.Sigla;
            }
            Thread.CurrentThread.CurrentUICulture = new CultureInfo(Session["Idioma"].ToString());
            Thread.CurrentThread.CurrentCulture = Thread.CurrentThread.CurrentUICulture;
            base.ExecuteCore();
        }

        protected override bool DisableAsyncSupport
        {
            get { return true; }
        } 
    }
}