﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AgileCompass.Controllers
{
    public class LoginController : BaseController
    {
        public ActionResult Index()
        {
            ViewBag.Mensagem = Session["Mensagem"];
            Session["Mensagem"] = string.Empty;
            return View();
        }

        [HttpPost]
        public ActionResult Index(AgileCompass.Models.ViewModel.LoginViewModel model)
        {
            if (!ModelState.IsValid)
                return View(model);

            var equipe = new Models.Equipe { Email = model.Email, Senha = Helper.Cryptography.HashMD5(model.Senha) };
            var result = equipe.Autenticar();
            switch (result)
            {
                case En.Status.Sucesso:
                    new Helper.AuthenticationManager().SetAuthenticationEquipe(equipe);
                    Session["Idioma"] = equipe.Idioma.Sigla;
                    return RedirectToAction("Index","Avaliacao");
                case En.Status.Falha:
                default:
                    ModelState.AddModelError("", Resource.MsgLoginIncorreto);
                    return View(model);
            }
        }
    }
}