namespace AgileCompass.Data
{
    using System;
    using System.Data.Entity;
    using System.Linq;

    public class AgileCompassData : DbContext
    {
        public AgileCompassData()
            : base("name=AgileCompassData")
        {
        }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<System.Data.Entity.ModelConfiguration.Conventions.OneToManyCascadeDeleteConvention>();
            modelBuilder.Conventions.Remove<System.Data.Entity.ModelConfiguration.Conventions.PluralizingTableNameConvention>();

            base.OnModelCreating(modelBuilder);
        }

        public virtual DbSet<Models.Avaliacao> Avaliacao { get; set; }
        public virtual DbSet<Models.AvaliacaoItem> AvaliacaoItem { get; set; }
        public virtual DbSet<Models.Categoria> Categoria { get; set; }
        public virtual DbSet<Models.ContatoResposta> ContatoResposta { get; set; }
        public virtual DbSet<Models.Equipe> Equipe { get; set; }
        public virtual DbSet<Models.Idioma> Idioma { get; set; }
        public virtual DbSet<Models.IdiomaCategoria> IdiomaCategoria { get; set; }
        public virtual DbSet<Models.IdiomaItem> IdiomaItem { get; set; }
        public virtual DbSet<Models.IdiomaMetodo> IdiomaMetodo { get; set; }
        public virtual DbSet<Models.IdiomaPais> IdiomaPais { get; set; }
        public virtual DbSet<Models.IdiomaPratica> IdiomaPratica { get; set; }
        public virtual DbSet<Models.IdiomaResultado> IdiomaResultado { get; set; }
        public virtual DbSet<Models.Item> Item { get; set; }
        public virtual DbSet<Models.Metodo> Metodo { get; set; }
        public virtual DbSet<Models.Pais> Pais { get; set; }
        public virtual DbSet<Models.Pratica> Pratica { get; set; }
        public virtual DbSet<Models.Resultado> Resultado { get; set; }
        public virtual DbSet<Models.SugestaoMelhoria> SugestaoMelhoria { get; set; }
        public virtual DbSet<Models.TipoSoftware> TipoSoftware { get; set; }
        public virtual DbSet<Models.Contato> Contato { get; set; }
        public virtual DbSet<Models.TipoConteudo> TipoConteudo { get; set; }
        public virtual DbSet<Models.Conteudo> Conteudo { get; set; }
        public virtual DbSet<Models.Quadro> Quadro { get; set; }
        public virtual DbSet<Models.IdiomaQuadro> IdiomaQuadro { get; set; }
        public virtual DbSet<Models.ItemQuadro> ItemQuadro { get; set; }
        public virtual DbSet<Models.IdiomaItemQuadro> IdiomaItemQuadro { get; set; }
    }
}