﻿using System;
using System.Web;
using System.Web.Security;

namespace AgileCompass.Helper
{
    public class AuthenticationManager
    {
        private HttpContext context = HttpContext.Current;

        public bool IsAuthenticated { get { return this.VerifyAuthenticated(); } }

        private bool VerifyAuthenticated()
        {
            return context.Request.IsAuthenticated;
        }

        public Models.Equipe GetEquipe()
        {
            if (!this.VerifyAuthenticated())
                throw new Exception("Usuário não Autenticado.");

            HttpCookie authCookie = context.Request.Cookies[FormsAuthentication.FormsCookieName];
            FormsAuthenticationTicket ticket = FormsAuthentication.Decrypt(authCookie.Value);

            int equipeId = Convert.ToInt32(ticket.Name.Split('@')[0]);

            return new Models.Equipe { Id = equipeId }.Find();
        }

        public void SetAuthenticationEquipe(Models.Equipe equipe)
        {
            FormsAuthentication.SetAuthCookie(equipe.Id + "@" + equipe.Email + "@" + equipe.Nome, true);
            context.Request.Cookies.Add(new HttpCookie("AgileCompassId", equipe.Id.ToString()));
        }

        public void SignOut()
        {
            FormsAuthentication.SignOut();
            context.Request.Cookies.Remove("AgileCompassId");
        }
    }
}