﻿using System.Runtime.Caching;

namespace AgileCompass.Helper
{
    public class ReferenceRepository<T> where T : new()
    {
        public static T Get(string key)
        {
            var item = MemoryCache.Default.Get(key);
            return item == null ? default(T) : (T)item;
        }

        public static void Set(string key, T value)
        {
            MemoryCache.Default.Add(key, value, MemoryCache.InfiniteAbsoluteExpiration);
        }

        public static void Remove(string key)
        {
            MemoryCache.Default.Remove(key);
        }

        public static void Clear()
        {
            MemoryCache.Default.Dispose();
        }
    }
}