﻿using System.Web;
using System.Web.Mvc;

namespace AgileCompass.Helper
{
    public class VenomAuthorizeAttribute : AuthorizeAttribute
    {
        public bool AdminRequired { get; set; }

        protected override bool AuthorizeCore(HttpContextBase httpContext)
        {
            var manager = new AuthenticationManager();
            if (!manager.IsAuthenticated)
                return false;
            return AdminRequired ? manager.GetEquipe().Admin : true;
        }
        public VenomAuthorizeAttribute(bool adminRequired = false)
        {
            AdminRequired = adminRequired;
        }
    }
}