﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

namespace AgileCompass.Models
{
    public class Avaliacao : Base<Avaliacao>
    {
        [Key]
        public int Id { get; set; }

        [Display(Name = "CampoComentario", ResourceType = typeof(Resource))]
        public string Comentario { get; set; }

        [DisplayFormat(DataFormatString = "{0:dd/MM/yyyy}", ApplyFormatInEditMode=true)]
        [Display(Name = "CampoDataInicio", ResourceType = typeof(Resource))]
        public DateTime? DataInicio { get; set; }

        [DisplayFormat(DataFormatString = "{0:dd/MM/yyyy}", ApplyFormatInEditMode=true)]
        [Display(Name = "CampoDataFim", ResourceType = typeof(Resource))]
        public DateTime? DataFim { get; set; }

        [Display(Name = "CampoStatus", ResourceType = typeof(Resource))]
        public bool Status { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoEquipe", ResourceType = typeof(Resource))]
        public int EquipeId { get; set; }
        public virtual Equipe Equipe { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoQuadro", ResourceType = typeof(Resource))]
        public int? QuadroId { get; set; }
        public virtual Quadro Quadro { get; set; }

        public bool SincronizarTrello { get; set; }

        public string JsonBoard { get; set; }
        public string IdentityCard { get; set; }

        [Display(Name = "CampoItem", ResourceType = typeof(Resource))]
        public virtual IList<AvaliacaoItem> AvaliacaoItem { get; set; }

        public Avaliacao()
        {
            AvaliacaoItem = new List<AvaliacaoItem>();
        }

        public IEnumerable<Avaliacao> SearchByString(string value)
        {
            return this
                .Where(x =>
                    x.Comentario.Contains(value)
                ).ToList();
        }
    }
}