﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

namespace AgileCompass.Models
{
    public class Contato : Base<Contato>
    {
        [Key]
        public int Id { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(80, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoNome", ResourceType = typeof(Resource))]
        public string Nome { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(200, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [DataType(DataType.EmailAddress)]
        [Display(Name = "CampoEmail", ResourceType = typeof(Resource))]
        public string Email { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoMensagem", ResourceType = typeof(Resource))]
        public string Mensagem { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoDataCadastro", ResourceType = typeof(Resource))]
        public DateTime DataCadastro { get; set; }


        public virtual IList<ContatoResposta> ContatoResposta { get; set; }

        public IEnumerable<Contato> SearchByString(string value)
        {
            return this
                .Where(x =>
                    x.Nome.Contains(value) ||
                    x.Email.Contains(value) ||
                    x.Mensagem.Contains(value)
                ).ToList();
        }
    }
}