﻿using System;
using System.ComponentModel.DataAnnotations;

namespace AgileCompass.Models
{
    public class ContatoResposta : Base<ContatoResposta>
    {
        [Key]
        public int Id { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(100, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoAssunto", ResourceType = typeof(Resource))]
        public string Assunto { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoMensagem", ResourceType = typeof(Resource))]
        public string Mensagem { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoDataCadastro", ResourceType = typeof(Resource))]
        public DateTime DataCadastro { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoContato", ResourceType = typeof(Resource))]
        public int ContatoId { get; set; }
        public virtual Contato Contato { get; set; }
    }
}