﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;

namespace AgileCompass.Models
{
    public class Idioma : Base<Idioma>
    {
        [Key]
        public int Id { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(40, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoNome", ResourceType = typeof(Resource))]
        public string Nome { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(15, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoSigla", ResourceType = typeof(Resource))]
        public string Sigla { get; set; }

        [Display(Name = "CampoPadrao", ResourceType = typeof(Resource))]
        public bool Padrao { get; set; }

        [Display(Name = "CampoStatus", ResourceType = typeof(Resource))]
        public bool Status { get; set; }

        [DataType(DataType.Upload)]
        [Display(Name = "CampoImagem", ResourceType = typeof(Resource))]
        public string Imagem { get; set; }

        public IEnumerable<Idioma> SearchByString(string value)
        {
            return this
                .Where(x =>
                    x.Nome.Contains(value) ||
                    x.Sigla.Contains(value)
                ).ToList();
        }
    }
}