﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace AgileCompass.Models
{
    public class IdiomaItem : Base<IdiomaItem>
    {
        [Key, Column(Order = 0)]
        public int IdiomaId { get; set; }

        [Display(Name = "CampoIdioma", ResourceType = typeof(Resource))]
        public virtual Idioma Idioma { get; set; }

        [Key, Column(Order = 1)]
        public int ItemId { get; set; }

        [Display(Name = "CampoItem", ResourceType = typeof(Resource))]
        public virtual Item Item { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(250, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoDescricao", ResourceType = typeof(Resource))]
        public string Descricao { get; set; }
    }
}