﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace AgileCompass.Models
{
    public class IdiomaItemQuadro : Base<IdiomaItemQuadro>
    {
        [Key, Column(Order = 0)]
        public int IdiomaId { get; set; }

        [Display(Name = "CampoIdioma", ResourceType = typeof(Resource))]
        public virtual Idioma Idioma { get; set; }

        [Key, Column(Order = 1)]
        public int ItemQuadroId { get; set; }

        [Display(Name = "CampoItemQuadro", ResourceType = typeof(Resource))]
        public virtual ItemQuadro ItemQuadro { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(100, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoNome", ResourceType = typeof(Resource))]
        public string Nome { get; set; }
    }
}