﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace AgileCompass.Models
{
    public class IdiomaMetodo : Base<IdiomaMetodo>
    {
        [Key, Column(Order = 0)]
        public int IdiomaId { get; set; }

        [Display(Name = "CampoIdioma", ResourceType = typeof(Resource))]
        public virtual Idioma Idioma { get; set; }

        [Key, Column(Order = 1)]
        public int MetodoId { get; set; }

        [Display(Name = "CampoMetodo", ResourceType = typeof(Resource))]
        public virtual Metodo Metodo { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(30, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoNome", ResourceType = typeof(Resource))]
        public string Nome { get; set; }

        [MaxLength(10, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoSigla", ResourceType = typeof(Resource))]
        public string Sigla { get; set; }
    }
}