﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace AgileCompass.Models
{
    public class IdiomaPratica : Base<IdiomaPratica>
    {
        [Key, Column(Order = 0)]
        public int IdiomaId { get; set; }

        [Display(Name = "CampoIdioma", ResourceType = typeof(Resource))]
        public virtual Idioma Idioma { get; set; }

        [Key, Column(Order = 1)]
        public int PraticaId { get; set; }

        [Display(Name = "CampoPratica", ResourceType = typeof(Resource))]
        public virtual Pratica Pratica { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [MaxLength(45, ErrorMessageResourceName = "MsgMaxLength", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoNome", ResourceType = typeof(Resource))]
        public string Nome { get; set; }
    }
}