﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using Newtonsoft.Json;

namespace AgileCompass.Models
{
    public class Log : Base<Log>
    {
        [Key]
        public int Id { get; set; }

        public DateTime Date { get; set; }

        public int EquipeId { get; set; }
        public virtual Models.Equipe Equipe { get; set; }

        public int ObjectLogId { get; set; }
        public virtual ObjectLog ObjectLog { get; set; }

        public int ActionLogId { get; set; }
        public virtual ActionLog ActionLog { get; set; }

        public string JObject1 { get; set; }

        public string JObject2 { get; set; }

    }

    public class ObjectLog : Base<ObjectLog>
    {
        [Key]
        public int Id { get; set; }
        [Required]
        public string Description { get; set; }
    }

    public class ActionLog : Base<ActionLog>
    {
        [Key]
        public int Id { get; set; }
        [Required]
        public string Description { get; set; }
    }
}