﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

namespace AgileCompass.Models
{
    public class SugestaoMelhoria : Base<SugestaoMelhoria>
    {
        [Key]
        public int Id { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoDescricao", ResourceType = typeof(Resource))]
        public string Descricao { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        [Display(Name = "CampoDataCadastro", ResourceType = typeof(Resource))]
        public DateTime DataCadastro { get; set; }

        [Required(ErrorMessageResourceName = "MsgCampoObrigatorio", ErrorMessageResourceType = typeof(Resource))]
        public virtual Equipe Equipe { get; set; }

        public IEnumerable<SugestaoMelhoria> SearchByString(string value)
        {
            return this
                .Where(x =>
                    x.Descricao.Contains(value)
                ).ToList();
        }
    }
}