window.DesenhoSvg = function(svg) {
	var tools = {
		getRectLength:function(w, h){
			return (w*2)+(h*2);
		},
		
		getPolygonLength:function(el){
			var points = el.split(" ");
			var x1 = null, x2, y1 = null, y2 , lineLength = 0, x3, y3;
			for(var i = 0; i < points.length; i++){
				var coords = points[i].split(",");
				if(x1 == null && y1 == null){
					if(/(\r\n|\n|\r)/gm.test(coords[0])){
						coords[0] = coords[0].replace(/(\r\n|\n|\r)/gm,"");
						coords[0] = coords[0].replace(/\s+/g,"");
					}
					if(/(\r\n|\n|\r)/gm.test(coords[1])){
						coords[0] = coords[1].replace(/(\r\n|\n|\r)/gm,"");
						coords[0] = coords[1].replace(/\s+/g,"");
					}
					x1 = coords[0];
					y1 = coords[1];
					x3 = coords[0];
					y3 = coords[1];
				}else{
					if(coords[0] != "" && coords[1] != ""){
						if(/(\r\n|\n|\r)/gm.test(coords[0])){
							coords[0] = coords[0].replace(/(\r\n|\n|\r)/gm,"");
							coords[0] = coords[0].replace(/\s+/g,"");
						}
						if(/(\r\n|\n|\r)/gm.test(coords[1])){
							coords[0] = coords[1].replace(/(\r\n|\n|\r)/gm,"");
							coords[0] = coords[1].replace(/\s+/g,"");
						}
						x2 = coords[0];
						y2 = coords[1];
						lineLength += Math.sqrt(Math.pow((x2-x1), 2)+Math.pow((y2-y1),2));
						x1 = x2;
						y1 = y2;
						if(i == points.length-2){
							lineLength += Math.sqrt(Math.pow((x3-x1), 2)+Math.pow((y3-y1),2));
						}
					}
				}
			}
			return lineLength;
		},
		
		getLineLength:function(el){
			var x1 = el.attr('x1');
			var x2 = el.attr('x2');
			var y1 = el.attr('y1');
			var y2 = el.attr('y2');
			var lineLength = Math.sqrt(Math.pow((x2-x1), 2)+Math.pow((y2-y1),2));
			return lineLength;
		},
		
		getCircleLength:function(el){
			var circleLength = 2 * Math.PI * el; 
			return circleLength;
		},
		
		getPathLength:function(el){
			var pathLength = el.getTotalLength();
			return pathLength;
		}
	};
	var desenho = function(path, length) {
		path.style.strokeDashoffset = length;
		path.style.strokeDasharray = length + ' ' + length;
		return path;
	};
	
	$(svg).find('circle').each(function () {
		desenho($(this).get(0), tools.getCircleLength($(this).attr('r')));
	});
	$(svg).find('path').each(function () {
		desenho($(this).get(0), tools.getPathLength($(this).get(0)));
	});
	$(svg).find('polygon').each(function () {
		desenho($(this).get(0), tools.getPolygonLength($(this).attr('points')));
	});
	$(svg).find('rect').each(function () {
		desenho($(this).get(0), tools.getPolygonLength($(this).attr('width'), $(this).attr('height')));
	});
	$(svg).find('line').each(function () {
		desenho($(this).get(0), tools.getLineLength($(this)));
	});
}

window.ColorirDesenho = function(svg) {
	svg.style.transition = 'stroke-dashoffset 2s ease-in-out, fill-opacity 2s ease 1.5s';
	svg.style.fillOpacity = '1';
	svg.style.strokeDashoffset = '0';
}