window.Guid = function guid() {
  function s4() {
    return Math.floor((1 + Math.random()) * 0x10000)
      .toString(16)
      .substring(1);
  }
  return s4() + s4() + '-' + s4() + '-' + s4() + '-' +
    s4() + '-' + s4() + s4() + s4();
}

window.Thread = function (action, timeOut){
	this.Id = window.Guid();
	this.TimeOut = timeOut || 1000;
	var _context = this;
	var _waitForRemove = false;
	var _action = action || function () { console.log("Nothing to do!"); }
	var _onComplete = null;
	var fireComplete = function(currentContext){
		if(_onComplete == null)
			return;
		_onComplete.call(currentContext);
	}
	this.OnComplete = function (action) {
		_onComplete = action;
	}
	
	this.WaitForRemove = function(){
		_waitForRemove = true;
	}
	
	this.Start = function (parameters){
		var currentContext = this;
		window.ThreadPool.Add(currentContext);
		setTimeout(function(){
			_action.call(currentContext, parameters);
			fireComplete(currentContext);
			if(!_waitForRemove)
				window.ThreadPool.Remove(currentContext);
		}, _context.TimeOut);
	}	
	return this;
}

window.ThreadPool = (function (){
	var _pool = { length: 0, itens: {} };
	var onEmpty = {};
	this.OnEmpty = function(key, action){
		onEmpty[key] = action;
	}
	this.Add = function (thread) {
		_pool.itens[thread.Id] = thread;
		_pool.length += 1;
	}
	this.Remove = function (thread){
		if(!_pool.itens[thread.Id])
			return;
		var oldThread = _pool.itens[thread.Id];
		delete _pool.itens[thread.Id];
		_pool.length -= 1;
		fireEmpty(oldThread);
	}
	var fireEmpty = function (thread){
		var emptyCallback = onEmpty;
		if(_pool.length > 0 || !emptyCallback || emptyCallback == null)
			return;
		for(var f in emptyCallback)
			emptyCallback[f].call(thread);
	}
	return this;
})();